Support » Plugin: Matomo Analytics - Ethical Stats. Powerful Insights. » error when activating Matomo 4.0.4

  • Hello
    I had to remove matomo from the ftp to be able to run the site.
    Thank you error when activating Matomo 4.0.4
    for your response

    thème actuel : OceanWP (version 2.0.0)
    Extension actuelle : Matomo Analytics – Ethical Stats. Powerful Insights. (version 4.0.4)
    PHP version 7.4.13

    Détails de l’erreur
    ======================
    Une erreur de type E_ERROR a été causée dans la ligne 407 du fichier /home/clients/f4c35b11ffd4a8673735de9d82186922/lediteurcontemporain/wp-content/plugins/matomo/classes/WpMatomo/Db/WordPress.php. Message d’erreur : Uncaught Zend_Db_Statement_Exception: WP DB Error: [1146] Table ‘yw5hx_WP387230.wp_387230_matomo_option’ doesn’t exist SQL: SELECT option_value, option_name FROM wp_387230_matomo_option WHERE autoload = 1 in /home/clients/f4c35b11ffd4a8673735de9d82186922/lediteurcontemporain/wp-content/plugins/matomo/classes/WpMatomo/Db/WordPress.php:407
    Stack trace:
    #0 /home/clients/f4c35b11ffd4a8673735de9d82186922/lediteurcontemporain/wp-content/plugins/matomo/classes/WpMatomo/Db/WordPress.php(419): Piwik\Db\Adapter\WordPress->after_execute_query(Object(wpdb), ‘SELECT option_v…’)
    #1 /home/clients/f4c35b11ffd4a8673735de9d82186922/lediteurcontemporain/wp-content/plugins/matomo/app/core/Db.php(297): Piwik\Db\Adapter\WordPress->fetchAll(‘SELECT option_v…’, Array)
    #2 /home/clients/f4c35b11ffd4a8673735de9d82186922/lediteurcontemporain/wp-content/plugins/matomo/app/core/Option.php(288): Piwik\Db::fetchAll(‘SELECT option_v…’)
    #3 /home/clients/f4c35b11ffd4a8673735de9d82186922/lediteurcontemporain/wp-content/plugins/matomo/ap

    The page I need help with: [log in to see the link]

Viewing 7 replies - 1 through 7 (of 7 total)
  • Plugin Author Thomas

    (@tsteur)

    Hi @philapho

    sorry about that! Was this a new installation that didn’t work or after an update? If the plugin is now fully uninstalled, maybe you could try to install it again and see if works? If it still causes an issue, it might help to remove the file wp-content/uploads/matomo/config/config.ini.php (if it exists) and then reload the WP Admin.

    For us to understand things better if there’s still an error after that it might help to put Matomo into “Safe Mode” and send us the system report see https://matomo.org/faq/wordpress/how-do-i-find-and-copy-the-system-report-in-matomo-for-wordpress/

    By putting it in “safe mode” there should not be a need to remove it from the FTP if there is an error.

    Thread Starter philapho

    (@philapho)

    Bonjour
    Merci pour la réponse
    oui c’est une installation nouvelle
    j’ai essayé à nouveau
    mais j’ai cette erreur
    WordPress version 5.5.3
    Thème actuel : OceanWP (version 2.0.0)
    Extension actuelle : Matomo Analytics – Ethical Stats. Powerful Insights. (version 4.0.4)
    PHP version 7.4.13

    Détails de l’erreur
    ======================
    Une erreur de type E_ERROR a été causée dans la ligne 407 du fichier /home/clients/f4c35b11ffd4a8673735de9d82186922/lediteurcontemporain/wp-content/plugins/matomo/classes/WpMatomo/Db/WordPress.php. Message d’erreur : Uncaught Zend_Db_Statement_Exception: WP DB Error: [1146] Table ‘yw5hx_WP387230.wp_387230_matomo_option’ doesn’t exist SQL: SELECT option_value, option_name FROM wp_387230_matomo_option WHERE autoload = 1 in /home/clients/f4c35b11ffd4a8673735de9d82186922/lediteurcontemporain/wp-content/plugins/matomo/classes/WpMatomo/Db/WordPress.php:407
    Stack trace:
    #0 /home/clients/f4c35b11ffd4a8673735de9d82186922/lediteurcontemporain/wp-content/plugins/matomo/classes/WpMatomo/Db/WordPress.php(419): Piwik\Db\Adapter\WordPress->after_execute_query(Object(wpdb), ‘SELECT option_v…’)
    #1 /home/clients/f4c35b11ffd4a8673735de9d82186922/lediteurcontemporain/wp-content/plugins/matomo/app/core/Db.php(297): Piwik\Db\Adapter\WordPress->fetchAll(‘SELECT option_v…’, Array)
    #2 /home/clients/f4c35b11ffd4a8673735de9d82186922/lediteurcontemporain/wp-content/plugins/matomo/app/core/Option.php(288): Piwik\Db::fetchAll(‘SELECT option_v…’)
    #3 /home/clients/f4c35b11ffd4a8673735de9d82186922/lediteurcontemporain/wp-content/plugins/matomo/ap

    L’erreur que j’ai sur le site

    Fatal error: Uncaught Zend_Db_Statement_Exception: WP DB Error: [1146] Table ‘yw5hx_WP387230.wp_387230_matomo_option’ doesn’t exist SQL: SELECT option_value, option_name FROM wp_387230_matomo_option WHERE autoload = 1 in /home/clients/f4c35b11ffd4a8673735de9d82186922/lediteurcontemporain/wp-content/plugins/matomo/classes/WpMatomo/Db/WordPress.php:407 Stack trace: #0 /home/clients/f4c35b11ffd4a8673735de9d82186922/lediteurcontemporain/wp-content/plugins/matomo/classes/WpMatomo/Db/WordPress.php(419): Piwik\Db\Adapter\WordPress->after_execute_query(Object(wpdb), ‘SELECT option_v…’) #1 /home/clients/f4c35b11ffd4a8673735de9d82186922/lediteurcontemporain/wp-content/plugins/matomo/app/core/Db.php(297): Piwik\Db\Adapter\WordPress->fetchAll(‘SELECT option_v…’, Array) #2 /home/clients/f4c35b11ffd4a8673735de9d82186922/lediteurcontemporain/wp-content/plugins/matomo/app/core/Option.php(288): Piwik\Db::fetchAll(‘SELECT option_v…’) #3 /home/clients/f4c35b11ffd4a8673735de9d82186922/lediteurcontemporain/wp-content/plugins/matomo/ap in /home/clients/f4c35b11ffd4a8673735de9d82186922/lediteurcontemporain/wp-content/plugins/matomo/classes/WpMatomo/Db/WordPress.php on line 407

    Thread Starter philapho

    (@philapho)

    avec les plugins
    Advanced Editor Tools (previously TinyMCE Advanced) – 5.5.1 By Automattic
    Akismet Anti-Spam – 4.1.7 By Automattic
    AMP – 2.0.8 By AMP Project Contributors
    Asset CleanUp: Page Speed Booster – 1.3.7.2 By Gabriel Livan
    Autoptimize – 2.8.0 By Frank Goossens (futtta)
    Black Studio TinyMCE Widget – 2.6.9 By Black Studio
    Caldera Forms – 1.9.2 By Caldera Forms
    Classic Editor – 1.6 By WordPress Contributors
    Elementor – 3.0.14 By Elementor.com
    Elementor Pro – 3.0.8 By Elementor.com
    Flexible Elementor Panel – 2.2.2 By WebMat
    Instant Images – 4.3.5 By Darren Cooney
    JetWidgets For Elementor – 1.0.7 By Crocoblock
    Leverage Browser Caching – 2.1 By Rinku Yadav
    Livemesh Addons for Elementor – 4.6 By Livemesh
    Newsletter – 7.0.0 By Stefano Lissa & The Newsletter Team
    Newsletter – Addons Manager – 1.1.3 By The Newsletter Team
    Newsletter – Archive – 4.0.4 By The Newsletter Team
    Newsletter – Extended Composer Blocks – 1.2.9 By The Newsletter Team
    Newsletter – Locked Content – 1.0.7 By The Newsletter Team
    Newsletter – Reports and Retargeting – 4.3.7 By The Newsletter Team
    Newsletter – SparkPost – 1.1.7 By The Newsletter Team
    Ocean Extra – 1.6.7 By OceanWP
    Ocean Footer Callout – 1.1.0 By OceanWP
    Ocean Sticky Header – 1.2.0 By OceanWP
    SEOPress – 4.2 By SEOPress
    SEOPress PRO – 4.2 By SEOPress
    Shariff Wrapper – 4.6.5 By Jan-Peter Lambeck & 3UU
    Smush – 3.8.2 By WPMU DEV
    tarteaucitron.js – Cookies legislation & GDPR – 1.4.3 By tarteaucitron.io
    The Plus Addons for Elementor Page Builder – 4.1.1 By POSIMYTH
    The Plus Addons for Elementor Page Builder Lite – 2.0.1 By POSIMYTH
    UpdraftPlus – Backup/Restore – 1.16.42 By UpdraftPlus.Com, DavidAnderson
    VenoBox Lightbox – 2.0.4 By Neil Gowran, Nicola Franchini
    WP-Optimize – Clean, Compress, Cache – 3.1.4 By David Anderson, Ruhani Rabin, Team Updraft
    WP Fastest Cache – 0.9.1.3 By Emre Vona
    WPS Hide Login – 1.6.1 By WPServeur, NicolasKulka, wpformation
    WPS Limit Login – 1.5 By WPServeur, NicolasKulka, wpformation
    WP Statistics – 12.6.13 By VeronaLabs
    Yoast Duplicate Post – 3.2.6 By Enrico Battocchi & Team Yoast

    Thread Starter philapho

    (@philapho)

    j’ai aussi Matomo d’installer sur une session de test sur le même hébergement
    Quand je clique sur diagnostic
    https://test.lediteur-contemporain.com/wp-admin/admin.php?page=matomo-systemreport
    j’ai ce message d’erreur
    Fatal error: Cannot redeclare twig_cycle() (previously declared in /home/clients/f4c35b11ffd4a8673735de9d82186922/test/wp-content/plugins/all-in-one-event-calendar/vendor/twig/Extension/Core.php:360) in /home/clients/f4c35b11ffd4a8673735de9d82186922/test/wp-content/plugins/matomo/app/vendor/twig/twig/src/Extension/CoreExtension.php on line 324

    Plugin Author Thomas

    (@tsteur)

    Thank you for the update @philapho

    Any chance you could send us the full output of the system report see https://matomo.org/faq/wordpress/how-do-i-find-and-copy-the-system-report-in-matomo-for-wordpress/ ?

    The FAQ also explains how to put Matomo into safe mode so it won’t cause these errors. It will then also work when you click on “diagnostics”.

    Basically, you will need to add the following line to your wp-config.php:

    define( 'MATOMO_SAFE_MODE', true );

    Any chance you could give this a try?

    Thread Starter philapho

    (@philapho)

    Bonjour Thomas,
    voici le résultat , a savoir que c’est une version de test
    Tenez moi au courant de la suite
    Bonne journée
    Philippe
    # Matomo

    * Version de l’extension Matomo: 4.0.4
    * Config existe et est accessible en écriture.: Oui (“$ABSPATH/wp-content/uploads/matomo/config/config.ini.php” )
    * JS Tracker existe et est accessible en écriture.: Oui (“$ABSPATH/wp-content/uploads/matomo/matomo.js” )
    * Répertoires de l4extension: Yes ([{“pluginsPathAbsolute”:”$ABSPATH\/wp-content\/plugins\/matomo\/plugins”,”webrootDirRelativeToMatomo”:”..\/”}])
    * Répertoire temporaire non accessible en écriture: Yes ($ABSPATH/wp-content/cache/matomo)
    * Matomo site idSite: 1
    * Matomo Install Version: No

    ## Endpoints

    * Matomo JavaScript Tracker URL: ($site_url/wp-content/uploads/matomo/matomo.js)
    * Matomo JavaScript Tracker – WP Rest API: ($site_url/wp-json/matomo/v1/hit/)
    * Matomo HTTP Tracking API: ($site_url/wp-content/plugins/matomo/app/matomo.php)
    * Matomo HTTP Tracking API – WP Rest API: ($site_url/wp-json/matomo/v1/hit/)

    ## Crons

    * Heure du serveur: 2020-12-16 07:49:51
    * Heure du site Web: 2020-12-16 08:49:51 (Les dates ci-dessous sont affichées dans le fuseau horaire du site Web)
    * Sync users & sites: Next run: 2020-12-16 10:10:48 ( Last started: 2020-12-15 10:34:24. Last ended: 2020-12-15 10:34:24. Interval: daily)
    * Archive: Next run: 2020-12-16 09:10:48 ( Last started: 2020-12-16 08:23:47. Last ended: 2020-12-16 08:24:02. Interval: hourly)
    * Update GeoIP DB: Next run: 2020-12-28 10:32:00 ( Last started: 2020-11-28 10:44:01. Last ended: 2020-11-28 10:44:02. Interval: matomo_monthly)

    ## Matomo Settings

    * Track mode: default
    * Track codeposition: footer
    * Track api endpoint: default
    * Track js endpoint: default
    * Last settings update: 1607943211
    * Last tracking settings update: 1607943211
    * Track noscript: Yes
    * Track content: visible
    * Track ecommerce: No
    * Core version: 4.0.5
    * Version history: 4.0.4, 4.0.3, 4.0.2, 1.3.2, 1.3.1

    ## Logs

    * Aucun:

    # WordPress

    * Home URL: $site_url
    * Site URL: $site_url
    * WordPress Version: 5.6
    * Number of blogs: 1
    * Multisite Enabled: No
    * Network Enabled: No
    * WP_DEBUG: No
    * WP_DEBUG_DISPLAY: No
    * WP_DEBUG_LOG: No
    * DISABLE_WP_CRON: –
    * FORCE_SSL_ADMIN: Yes
    * WP_CACHE: No
    * CONCATENATE_SCRIPTS: –
    * COMPRESS_SCRIPTS: –
    * COMPRESS_CSS: –
    * ENFORCE_GZIP: –
    * WP_LOCAL_DEV: –
    * DIEONDBERROR: –
    * WPLANG: –
    * ALTERNATE_WP_CRON: –
    * WP_CRON_LOCK_TIMEOUT: 60
    * WP_DISABLE_FATAL_ERROR_HANDLER: –
    * MATOMO_SUPPORT_ASYNC_ARCHIVING: –
    * MATOMO_TRIGGER_BROWSER_ARCHIVING: –
    * MATOMO_ENABLE_TAG_MANAGER: –
    * MATOMO_SUPPRESS_DB_ERRORS: –
    * MATOMO_ENABLE_AUTO_UPGRADE: –
    * MATOMO_DEBUG: –
    * MATOMO_SAFE_MODE: Yes
    * MATOMO_GLOBAL_UPLOAD_DIR: –
    * MATOMO_LOGIN_REDIRECT: –
    * Permalink Structure: /%postname%/
    * Possibly uses symlink: No
    * Compatible content directory: Yes

    # WordPress Plugins

    * Akismet Anti-Spam: 4.1.7
    * All-in-One Event Calendar by Time.ly: 2.6.8
    * All In One WP Security: 4.4.5
    * Blocksy Companion: 1.7.40
    * Brizy: 2.2.3
    * Caldera Forms: 1.9.2
    * Category Posts Widget: 4.9.10
    * Classic Editor: 1.6
    * Collect.chat – Chatbot for Lead Generation and Data Collection: 2.2.5
    * Complianz | GDPR/CCPA Cookie Consent: 4.8.2
    * Divi Builder: 4.5.7
    * Easy Google Fonts: 1.4.4
    * Easy WP SMTP: 1.4.4
    * Elementor: 3.0.14
    * Enable jQuery Migrate Helper: 1.3.0
    * Facebook Messenger LiveChat: 1.4.2
    * FameTheme Demo Importer: 1.1.2
    * Featured Pages Unlimited: 2.1.16
    * FV Player: 7.4.37.727
    * GDPR Cookie Consent: 1.9.5
    * Grid Plus: 1.3.2
    * GTranslate: 2.8.61
    * Kadence Blocks – Gutenberg Blocks for Page Builder Features: 1.9.9
    * Limit Login Attempts Reloaded: 2.17.4
    * Lingotek Translation: 1.4.7
    * LiteSpeed Cache: 3.6
    * Matomo Analytics – Ethical Stats. Powerful Insights.: 4.0.4
    * Max Mega Menu: 2.9.2
    * Media Library Assistant: 2.93
    * Media Library Categories: 1.9.9
    * Modern Events Calendar Lite: 5.14.0
    * Ninja Forms: 3.4.33
    * OneSignal Push Notifications: 2.1.4
    * Polylang: 2.9.1
    * Portfolio Post Type: 1.0.1
    * QuadMenu: 2.0.5
    * SecuPress Free — WordPress Security: 1.4.12 (Network enabled)
    * Shortcodes Ultimate: 5.9.6
    * Sidebar Manager: 1.1.6
    * Simple Lightbox: 2.8.1
    * SiteOrigin CSS: 1.2.12
    * Slider by 10Web: 1.2.38
    * Smart Slider 3: 3.4.1.14
    * Spider Event Calendar: 1.5.64
    * Starter Templates: 2.3.9
    * Sucuri Security – Auditing, Malware Scanner and Hardening: 1.8.24
    * UpdraftPlus – Backup/Restore: 1.16.42
    * VenoBox Lightbox: 2.0.4
    * Virtue/Ascend/Pinnacle Toolkit: 4.9.6
    * Weglot Translate: 3.2.0
    * WooCommerce: 4.8.0
    * WooCommerce PDF Invoices & Packing Slips: 2.7.3
    * WooCommerce Stripe Gateway: 4.6.0
    * WordPress Beta Tester: 3.0.9 (Network enabled)
    * WordPress Importer: 0.7
    * WordPress Mobile Pack: 3.4.1
    * WP-Matomo Integration: 1.0.24
    * WP-Members: 3.3.7.1
    * WP-Optimize – Clean, Compress, Cache: 3.1.4
    * WP Chatbot: 4.6
    * WP Downgrade | Specific Core Version: 1.2.2
    * WP Maintenance Mode: 2.3.0
    * WP Mega Menu: 1.3.7
    * WP Responsive Recent Post Slider/Carousel: 2.5.1
    * WPS Cleaner: 1.6
    * WP Simple Paypal Shopping cart: 4.5.2
    * WP SMS: 5.4.1
    * YellowPencil: 7.3.3
    * Active Plugins: 11 (polylang akismet all-in-one-event-calendar blocksy-companion caldera-forms classic-editor elementor limit-login-attempts-reloaded matomo updraftplus wp-optimize)

    # Server

    * Server Info: Apache
    * PHP OS: Linux
    * PHP Version: 7.4.13
    * PHP SAPI: fpm-fcgi
    * PHP Binary Name: php-fpm
    * Timezone: UTC
    * WP timezone: Europe/Paris
    * Locale: fr_FR
    * User Locale: fr_FR
    * Memory Limit: 640M (At least 128MB recommended. Depending on your traffic 256MB or more may be needed.)
    * WP Memory Limit: 640M
    * WP Max Memory Limit: 640M
    * Timezone version: 2020.4
    * Time: 1608104991
    * Max Execution Time: 300
    * Max Post Size: 640M
    * Max Upload Size: 671088640
    * Max Input Vars: 3000
    * Disabled PHP functions: Yes (passthru,system)
    * zlib.output_compression is off: Yes
    * Curl Version: 7.52.1, OpenSSL/1.0.2l
    * Suhosin installed: No

    # Database

    * MySQL Version: 5.7.30
    * Mysqli Connect: Yes
    * Force MySQL over Mysqli: No
    * DB Prefix: wp_389331_
    * DB CHARSET: utf8
    * DB COLLATE:
    * SHOW ERRORS: No
    * SUPPRESS ERRORS: No
    * Uses Socket: No
    * Uses IPv6: No
    * Matomo tables found: 96
    * Matomo users found: 1
    * Matomo sites found: 1
    * Permissions requises: OK

    # Browser

    * Browser: (Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.88 Safari/537.36)

    Plugin Author Thomas

    (@tsteur)

    Hi @philapho
    I can reproduce the error when I install the “all in one calendar” plugin:

    > Fatal error: Cannot redeclare twig_cycle() (previously declared in /wp-content/plugins/all-in-one-event-calendar/vendor/twig/Extension/Core.php:360) in /wp-content/plugins/matomo/app/vendor/twig/twig/src/Extension/CoreExtension.php on line 324

    It seems the plugin is not compatible with our plugin because they are using an older version of twig.

    Any chance you could try to disable this calendar plugin and check if Matomo then works?

    The system report otherwise looks all good and I would expect that below error is gone now too?

    > WP DB Error: [1146] Table ‘yw5hx_WP387230.wp_387230_matomo_option’ doesn’t exist SQL: SELECT option_value, option_name FROM wp_387230_matomo_option

Viewing 7 replies - 1 through 7 (of 7 total)
  • The topic ‘error when activating Matomo 4.0.4’ is closed to new replies.